#(c) 2016 by Authors
#This file is a part of ABruijn program.
#Released under the BSD license (see LICENSE file)

"""
Configuration file for the Python part of the pipeline
"""

import os

vals = {
        "pkg_root" : os.path.dirname(os.path.dirname(os.path.abspath(__file__))),

        #additional configuration files for binary modules
        "bin_cfg" : {
            "raw" : "config/bin_cfg/asm_raw_reads.cfg",
            "corrected" : "config/bin_cfg/asm_corrected_reads.cfg",
            "subasm" : "config/bin_cfg/asm_subasm.cfg"
        },

        #assembly parameters
        "big_genome_kmer" : 50000000,
        "kmer_size" : {
            "raw" : [15, 17],
            "corrected" : [17, 17],
            "subasm" : [31, 31]
        },
        "min_overlap_range" : {
            "raw" : [1000, 5000],
            "corrected" : [1000, 5000],
            "subasm" : [1000, 1000]
        },
        "reduced_asm_cov"  : 40,

        #polishing
        "simple_kmer_length" : 4,
        "solid_kmer_length" : 10,
        "max_bubble_length" : 500,
        "max_bubble_branches" : 50,
        "min_aln_rate" : 0.50,
        "read_aln_overhang" : 100,

        "err_modes" : {
            "pacbio" : {
                "subs_matrix" : "config/bin_cfg/pacbio_substitutions.mat",
                "hopo_matrix" : "config/bin_cfg/pacbio_homopolymers.mat",
                "solid_missmatch" : 0.2,
                "solid_indel" : 0.2,
                "max_aln_error" : 0.25
            },
            "nano" : {
                "subs_matrix" : "config/bin_cfg/nano_substitutions.mat",
                "hopo_matrix" : "config/bin_cfg/nano_homopolymers.mat",
                "solid_missmatch" : 0.3,
                "solid_indel" : 0.3,
                "max_aln_error" : 0.3
            },
            "pacbio_hi_err" : {
                "subs_matrix" : "config/bin_cfg/p6c4_substitutions.mat",
                "hopo_matrix" : "config/bin_cfg/p6c4_homopolymers.mat",
                "solid_missmatch" : 0.25,
                "solid_indel" : 0.25,
                "max_aln_error" : 0.3
            },
            "subasm" : {
                "subs_matrix" : "config/bin_cfg/pacbio_substitutions.mat",
                "hopo_matrix" : "config/bin_cfg/pacbio_homopolymers.mat",
                "solid_missmatch" : 0.2,
                "solid_indel" : 0.2,
                "max_aln_error" : 0.25
            },
        },

        #scaffolding
        "scaffold_gap" : 100
    }
